        function overint(n,h,f1)
!   function to calculate the integral of one vectors f1
!      using simpsons rule, assuming f1(0)=0
!      assumes f1 tabulated at points r=i*h; f1(1)=f1(i*h)
        implicit none
        real*8 :: overint
        real*8, intent(IN) :: h,f1(n)
        integer, intent(IN) :: n

        integer :: i,j
        real*8 :: fac
        
        if (n==1) then
         overint=h*f1(1)/2
         return
        endif
        fac=h/3
        overint=4*f1(1)+f1(2)
        j=(n/2)*2
        if (j>=4) then
         do i=4,j,2
          overint=overint+f1(i-2)+4*f1(i-1)+f1(i)
         enddo
        overint=fac*overint
        endif
        if (n>j) then
          overint=overint+(f1(j)+f1(n))*h/2
        endif
        return
         end
